package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.MkmjE;

import java.util.Map;

public interface MkmjGateway {

    Boolean add(MkmjE mkmjE);

    Boolean update(MkmjE mkmjE);

    Boolean deletedMkmjById(Long id);

    Boolean deletedMkmjByIds(Long[] id);

    Boolean checkName(String mkmjName, Long excludeId);

    Map<String, Integer> countRelatedData(Long mkmjId);
}

